## vlc-0.2.83.tar.bz2

=== Makefile ===
###############################################################################
# vlc (VideoLAN Client) main Makefile - (c)1998 VideoLAN
###############################################################################

ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
    include Makefile.opts
endif

###############################################################################
# Objects and files
###############################################################################

# 
# All possible plugin directories, needed for make clean
#
PLUGINS_DIR :=	alsa beos darwin directx dsp dummy dvd esd fb ggi glide gtk downmix idct imdct kde macosx mga motion mpeg qt sdl text x11 yuv

#
# All possible plugin objects
#
PLUGINS_TARGETS := alsa/alsa beos/beos darwin/darwin directx/directx dsp/dsp dummy/dummy dummy/null dvd/dvd esd/esd fb/fb ggi/ggi glide/glide gtk/gnome gtk/gtk downmix/downmix downmix/downmixsse downmix/downmix3dn idct/idct idct/idctclassic idct/idctmmx idct/idctmmxext imdct/imdct imdct/imdct3dn imdct/imdctsse kde/kde macosx/macosx mga/mga motion/motion motion/motionmmx motion/motionmmxext mpeg/es mpeg/ps mpeg/ts qt/qt sdl/sdl text/ncurses text/rc x11/x11 x11/xvideo yuv/yuv yuv/yuvmmx

#
# C Objects
# 
INTERFACE := main interface intf_msg intf_playlist intf_channels
INPUT := input input_ext-dec input_ext-intf input_dec input_programs input_netlist input_clock mpeg_system
VIDEO_OUTPUT := video_output video_text video_spu video_yuv
AUDIO_OUTPUT := audio_output aout_ext-dec aout_u8 aout_s8 aout_u16 aout_s16 aout_spdif
AC3_DECODER := ac3_decoder_thread ac3_decoder ac3_parse ac3_exponent ac3_bit_allocate ac3_mantissa ac3_rematrix ac3_imdct
AC3_SPDIF := ac3_spdif ac3_iec958
LPCM_DECODER := lpcm_decoder_thread
AUDIO_DECODER := audio_decoder adec_generic adec_layer1 adec_layer2 adec_math
SPU_DECODER := spu_decoder
VIDEO_DECODER := video_parser vpar_headers vpar_blocks vpar_synchro vpar_pool video_decoder
MISC := mtime tests modules netutils

C_OBJ :=	$(INTERFACE:%=src/interface/%.o) \
		$(INPUT:%=src/input/%.o) \
		$(VIDEO_OUTPUT:%=src/video_output/%.o) \
		$(AUDIO_OUTPUT:%=src/audio_output/%.o) \
		$(AC3_DECODER:%=src/ac3_decoder/%.o) \
		$(AC3_SPDIF:%=src/ac3_spdif/%.o) \
		$(LPCM_DECODER:%=src/lpcm_decoder/%.o) \
		$(AUDIO_DECODER:%=src/audio_decoder/%.o) \
		$(SPU_DECODER:%=src/spu_decoder/%.o) \
		$(VIDEO_DECODER:%=src/video_decoder/%.o) \
		$(MISC:%=src/misc/%.o)

#
# Misc Objects
# 
ifeq ($(NEED_GETOPT),1)
C_OBJ += extras/GNUgetopt/getopt.o extras/GNUgetopt/getopt1.o 
endif

ifeq ($(SYS),beos)
CPP_OBJ :=	src/misc/beos_specific.o
endif

ifneq (,$(findstring darwin,$(SYS)))
C_OBJ +=	src/misc/darwin_specific.o
endif

ifneq (,$(findstring mingw32,$(SYS)))
RESOURCE_OBJ :=	share/vlc_win32_rc.o
endif

#
# Generated header
#
H_OBJ :=	src/misc/modules_builtin.h

#
# Other lists of files
#
C_DEP := $(C_OBJ:%.o=.dep/%.d)
CPP_DEP := $(CPP_OBJ:%.o=.dep/%.dpp)

#
# Translate plugin names
#
ifneq (,$(PLUGINS))
PLUGIN_OBJ := $(shell for i in $(PLUGINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.so@' -e 's@^ .*@@' ; done)
endif
ifneq (,$(BUILTINS))
BUILTIN_OBJ := $(shell for i in $(BUILTINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.a@' -e 's@^ .*@@' ; done)
endif

#
# Misc variables
#
VLC_QUICKVERSION := $(shell grep '^ *VLC_VERSION=' configure.in | cut -f2 -d=)
LIBDVDCSS_QUICKVERSION := $(shell grep '^ *LIBDVDCSS_VERSION=' configure.in | cut -f2 -d=)


# All symbols must be exported
export

###############################################################################
# Targets
###############################################################################

#
# Virtual targets
#
all: Makefile.opts vlc ${ALIASES} vlc.app

Makefile.opts:
	@echo "**** No configuration found, running ./configure..."
	./configure
	$(MAKE) $(MAKECMDGOALS)
	exit

show:
	@echo CC: $(CC)
	@echo CFLAGS: $(CFLAGS)
	@echo DCFLAGS: $(DCFLAGS)
	@echo LCFLAGS: $(LCFLAGS)
	@echo PCFLAGS: $(PCFLAGS)
	@echo PLCFLAGS: $(PLCFLAGS)
	@echo C_OBJ: $(C_OBJ)
	@echo CPP_OBJ: $(CPP_OBJ)
	@echo PLUGIN_OBJ: $(PLUGIN_OBJ)
	@echo BUILTIN_OBJ: $(BUILTIN_OBJ)

#
# Cleaning rules
#
clean: libdvdcss-clean plugins-clean vlc-clean
	rm -f src/*/*.o extras/*/*.o
	rm -f lib/*.so* lib/*.a
	rm -f plugins/*.so plugins/*.a

libdvdcss-clean:
	-cd extras/libdvdcss && $(MAKE) clean

plugins-clean:
	for dir in $(PLUGINS_DIR) ; do \
		( cd plugins/$${dir} && $(MAKE) clean ) ; done
	rm -f plugins/*/*.o plugins/*/*.moc plugins/*/*.bak

vlc-clean:
	rm -f $(C_OBJ) $(CPP_OBJ)
	rm -f vlc gnome-vlc gvlc kvlc qvlc vlc.exe
	rm -Rf vlc.app

distclean: clean
	rm -f **/*.o **/*~ *.log
	rm -f Makefile.opts
	rm -f include/defs.h include/config.h include/modules_builtin.h
	rm -f src/misc/modules_builtin.h
	rm -f config*status config*cache config*log
	rm -f gmon.out core build-stamp
	rm -Rf .dep
	rm -f .gdb_history

#
# Install/uninstall rules
#
install: libdvdcss-install vlc-install plugins-install

uninstall: libdvdcss-uninstall vlc-uninstall plugins-uninstall

vlc-install:
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL) vlc $(DESTDIR)$(bindir)
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias && ln -s vlc $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	mkdir -p $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.psf $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.png $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.xpm $(DESTDIR)$(datadir)/videolan

vlc-uninstall:
	rm vlc $(DESTDIR)$(bindir)/vlc
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	rm -f $(DESTDIR)$(datadir)/videolan/*.psf
	rm -f $(DESTDIR)$(datadir)/videolan/*.png
	rm -f $(DESTDIR)$(datadir)/videolan/*.xpm

plugins-install:
	mkdir -p $(DESTDIR)$(libdir)/videolan/vlc
ifneq (,$(PLUGINS))
	$(INSTALL) -m 644 $(PLUGINS:%=plugins/%.so) $(DESTDIR)$(libdir)/videolan/vlc
endif

plugins-uninstall:
	rm -f $(DESTDIR)$(libdir)/videolan/vlc/*.so

libdvdcss-install:
	-cd extras/libdvdcss && $(MAKE) install

libdvdcss-uninstall:
	-cd extras/libdvdcss && $(MAKE) uninstall

#
# Package generation rules
#
snapshot-common:
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	# Copy directory structure in tmp
	find -type d | grep -v '\(\.dep\|snapshot\|CVS\)' | while read i ; \
		do mkdir -p tmp/vlc/$$i ; \
	done
	find debian -mindepth 1 -maxdepth 1 -type d | \
		while read i ; do rm -Rf tmp/vlc/$$i ; done
	# Copy .c .h .in .cpp and .glade files
	find include src plugins -type f -name '*.[chig]*' | while read i ; \
		do cp $$i tmp/vlc/$$i ; done
	# Copy plugin Makefiles
	find plugins -type f -name Makefile | while read i ; \
		do cp $$i tmp/vlc/$$i ; done
	# Copy extra programs and documentation
	cp -a extras/* tmp/vlc/extras
	cp -a doc/* tmp/vlc/doc
	find tmp/vlc/extras tmp/vlc/doc \
		-type d -name CVS -o -name '.*' -o -name '*.[o]' | \
			while read i ; do rm -Rf $$i ; done
	# Copy misc files
	cp vlc.spec AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
		Makefile Makefile.opts.in Makefile.dep Makefile.modules \
		configure configure.in install-sh config.sub config.guess \
			tmp/vlc/
	# Copy Debian control files
	for file in debian/*dirs debian/*docs debian/*menu debian/*desktop \
		debian/*copyright ; do cp $$file tmp/vlc/debian ; done
	for file in control changelog rules ; do \
		cp debian/$$file tmp/vlc/debian/ ; done
	# Copy fonts and icons
	for file in share/*png share/*xpm share/*psf ; do \
		cp $$file tmp/vlc/share ; done
	for file in vlc_beos.rsrc vlc.icns gvlc_win32.ico vlc_win32_rc.rc ; do \
			cp share/$$file tmp/vlc/share/ ; done

snapshot: snapshot-common
	# Build archives
	F=vlc-${VLC_QUICKVERSION}; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
	bzip2 -f -9 < tmp/$$F.tar > $$F.tar.bz2; \
	gzip -f -9 tmp/$$F.tar ; mv tmp/$$F.tar.gz .
	# Clean up
	rm -Rf tmp

snapshot-nocss: snapshot-common
	# Remove libdvdcss
	rm -Rf tmp/vlc/extras/libdvdcss
	rm -f tmp/vlc/*.libdvdcss
	# Fix debian information
	rm -f tmp/vlc/debian/libdvdcss*
	rm -f tmp/vlc/debian/control
	sed -e 's#^ DVDs# unencrypted DVDs#' < debian/control \
		| awk '{if(gsub("Package: libdvdcss",$$0))a=1;if(a==0)print $$0;if(a==1&&$$0=="")a=0}' \
		> tmp/vlc/debian/control
	rm -f tmp/vlc/debian/rules
	sed -e 's#^\(export LIBDVDCSS_FLAGS=\).*#\1"--without-dvdcss"#' < debian/rules \
		| awk '{if($$0=="# libdvdcss start")a=1;if(a==0)print $$0;if($$0=="# libdvdcss stop")a=0}' \
		> tmp/vlc/debian/rules
	chmod +x tmp/vlc/debian/rules
	# Build css-disabled archives
	F=vlc-${VLC_QUICKVERSION}; G=vlc-${VLC_QUICKVERSION}-nocss; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$G.tar $$F); \
	bzip2 -f -9 < tmp/$$G.tar > $$G.tar.bz2; \
	gzip -f -9 tmp/$$G.tar ; mv tmp/$$G.tar.gz .
	# Clean up
	rm -Rf tmp

libdvdcss-snapshot: snapshot-common
	# Remove vlc sources and icons, doc, debian directory...
	rm -Rf tmp/vlc/src tmp/vlc/share tmp/vlc/plugins tmp/vlc/doc
	rm -Rf tmp/vlc/extras/GNUgetopt tmp/vlc/extras/MacOSX_app
	rm -Rf tmp/vlc/debian
	# Remove useless headers
	rm -f tmp/vlc/include/*
	for file in defs.h.in config.h.in common.h int_types.h ; \
		do cp include/$$file tmp/vlc/include/ ; done
	# Remove misc files (??? - maybe not really needed)
	rm -f tmp/vlc/vlc.spec tmp/vlc/INSTALL-win32.txt
	mv tmp/vlc/INSTALL.libdvdcss tmp/vlc/INSTALL
	mv tmp/vlc/README.libdvdcss tmp/vlc/README
	mv tmp/vlc/ChangeLog.libdvdcss tmp/vlc/ChangeLog
	# Fix Makefile
	rm -f tmp/vlc/Makefile
	sed -e 's#^install:#install-unused:#' \
		-e 's#^uninstall:#uninstall-unused:#' \
		-e 's#^clean:#clean-unused:#' \
		-e 's#^all:.*#all: libdvdcss#' \
		-e 's#^libdvdcss-install:#install:#' \
		-e 's#^libdvdcss-uninstall:#uninstall:#' \
		-e 's#^libdvdcss-clean:#clean:#' \
		< Makefile > tmp/vlc/Makefile
	# Build archives
	F=libdvdcss-${LIBDVDCSS_QUICKVERSION}; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
	bzip2 -f -9 < tmp/$$F.tar > $$F.tar.bz2; \
	gzip -f -9 tmp/$$F.tar ; mv tmp/$$F.tar.gz .
	# Clean up
	rm -Rf tmp

deb:
	dpkg-buildpackage -rfakeroot -us -uc

#
# Gtk/Gnome/* aliases and OS X application
#
gnome-vlc gvlc kvlc qvlc: vlc
	rm -f $@ && ln -s vlc $@

.PHONY: vlc.app
vlc.app: Makefile.opts
ifneq (,$(findstring darwin,$(SYS)))
	rm -Rf vlc.app
	mkdir -p vlc.app/Contents/Resources
	mkdir -p vlc.app/Contents/MacOS/lib
	mkdir -p vlc.app/Contents/MacOS/share
	$(INSTALL) -m 644 extras/MacOSX_app/Contents/Info.plist vlc.app/Contents/
	$(INSTALL) -m 644 extras/MacOSX_app/Contents/PkgInfo vlc.app/Contents/
	$(INSTALL) vlc vlc.app/Contents/MacOS/
	$(INSTALL) share/vlc.icns vlc.app/Contents/Resources/
ifneq (,$(PLUGINS))
	$(INSTALL) $(PLUGINS:%=plugins/%.so) vlc.app/Contents/MacOS/plugins
endif
	$(INSTALL) -m 644 share/*.psf vlc.app/Contents/MacOS/share
endif

FORCE:

#
# Generic rules (see below)
#
$(C_DEP): %.d: FORCE
	@$(MAKE) -s --no-print-directory -f Makefile.dep $@

$(CPP_DEP): %.dpp: FORCE
	@$(MAKE) -s --no-print-directory -f Makefile.dep $@

$(H_OBJ): Makefile.opts Makefile.dep Makefile
	rm -f $@ && cp $@.in $@
ifneq (,$(BUILTINS))
	for i in $(BUILTINS) ; do \
		echo "int module_"$$i"_InitModule( module_t* );" >> $@ ; \
		echo "int module_"$$i"_ActivateModule( module_t* );" >> $@ ; \
		echo "int module_"$$i"_DeactivateModule( module_t* );" >> $@ ; \
	done
	echo "" >> $@ ;
	printf "#define ALLOCATE_ALL_BUILTINS() do { " >> $@ ;
	for i in $(BUILTINS) ; do \
		printf "ALLOCATE_BUILTIN("$$i"); " >> $@ ; \
	done
	echo "} while( 0 );" >> $@ ;
	echo "" >> $@ ;
endif

$(C_OBJ): %.o: Makefile.opts Makefile.dep Makefile
$(C_OBJ): %.o: .dep/%.d
$(C_OBJ): %.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

$(CPP_OBJ): %.o: Makefile.opts Makefile.dep Makefile
$(CPP_OBJ): %.o: .dep/%.dpp
$(CPP_OBJ): %.o: %.cpp
	$(CC) $(CFLAGS) -c -o $@ $<

$(RESOURCE_OBJ): %.o: Makefile.dep Makefile
ifneq (,(findstring mingw32,$(SYS)))
$(RESOURCE_OBJ): %.o: %.rc

=== plugins/downmix/Makefile ===
###############################################################################
# vlc (VideoLAN Client) downmix module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_DOWNMIX = downmix.o ac3_downmix_c.o
PLUGIN_DOWNMIXSSE = downmixsse.o ac3_downmix_sse.o
PLUGIN_DOWNMIX3DN = downmix3dn.o ac3_downmix_3dn.o

BUILTIN_DOWNMIX = $(PLUGIN_DOWNMIX:%.o=BUILTIN_DOWNMIX_%.o)
BUILTIN_DOWNMIXSSE = $(PLUGIN_DOWNMIXSSE:%.o=BUILTIN_DOWNMIXSSE_%.o)
BUILTIN_DOWNMIX3DN = $(PLUGIN_DOWNMIX3DN:%.o=BUILTIN_DOWNMIX3DN_%.o)

PLUGIN_C = $(PLUGIN_DOWNMIX) $(PLUGIN_DOWNMIXSSE) $(PLUGIN_DOWNMIX3DN)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_DOWNMIX) $(BUILTIN_DOWNMIXSSE) $(BUILTIN_DOWNMIX3DN)

#
# Virtual targets
#

include ../../Makefile.modules

$(BUILTIN_DOWNMIX): BUILTIN_DOWNMIX_%.o: .dep/%.d
$(BUILTIN_DOWNMIX): BUILTIN_DOWNMIX_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=downmix -c -o $@ $<

$(BUILTIN_DOWNMIXSSE): BUILTIN_DOWNMIXSSE_%.o: .dep/%.d
$(BUILTIN_DOWNMIXSSE): BUILTIN_DOWNMIXSSE_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=downmixsse -c -o $@ $<

$(BUILTIN_DOWNMIX3DN): BUILTIN_DOWNMIX3DN_%.o: .dep/%.d
$(BUILTIN_DOWNMIX3DN): BUILTIN_DOWNMIX3DN_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=downmix3dn -c -o $@ $<

#
# Real targets
#

../downmix.so: $(PLUGIN_DOWNMIX)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../downmix.a: $(BUILTIN_DOWNMIX)
	ar r $@ $^
	$(RANLIB) $@

../downmixsse.so: $(PLUGIN_DOWNMIXSSE)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../downmixsse.a: $(BUILTIN_DOWNMIXSSE)
	ar r $@ $^
	$(RANLIB) $@

../downmix3dn.so: $(PLUGIN_DOWNMIX3DN)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../downmix3dn.a: $(BUILTIN_DOWNMIX3DN)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/ggi/Makefile ===
###############################################################################
# vlc (VideoLAN Client) ggi module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = ggi.o vout_ggi.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../ggi.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GGI)

../ggi.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/gtk/Makefile ===
###############################################################################
# vlc (VideoLAN Client) gtk/gnome module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_GTK = gtk.o intf_gtk.o gtk_interface.o gtk_support.o
PLUGIN_GNOME = gnome.o intf_gnome.o gnome_interface.o gnome_support.o gnome_callbacks.o

PLUGIN_GTK_SPECIFIC = gtk_display.o gtk_open.o gtk_control.o gtk_menu.o gtk_playlist.o gtk_modules.o gtk_preferences.o gtk_callbacks.o
PLUGIN_GNOME_SPECIFIC = $(PLUGIN_GTK_SPECIFIC:%.o=%_gnome.o)

BUILTIN_GTK = $(PLUGIN_GTK:%.o=BUILTIN_GTK_%.o) \
        $(PLUGIN_GTK_SPECIFIC:%.o=BUILTIN_GTK_%.o)
BUILTIN_GNOME = $(PLUGIN_GNOME:%.o=BUILTIN_GNOME_%.o) \
        $(PLUGIN_GTK_SPECIFIC:%.o=BUILTIN_GNOME_%.o)

ALL_OBJ = $(PLUGIN_GTK) $(PLUGIN_GNOME) $(PLUGIN_GTK_SPECIFIC) \
          $(PLUGIN_GNOME_SPECIFIC) $(BUILTIN_GTK) $(BUILTIN_GNOME)

#
# Virtual targets
#

include ../../Makefile.modules

# Gtk+
$(PLUGIN_GTK) $(PLUGIN_GTK_SPECIFIC): %.o: .dep/%.d
$(PLUGIN_GTK) $(PLUGIN_GTK_SPECIFIC): %.o: %.c
	$(CC) $(CFLAGS) $(PCFLAGS) $(CFLAGS_GTK) -DPLUGIN -DMODULE_NAME=gtk -c -o $@ $<

$(BUILTIN_GTK): BUILTIN_GTK_%.o: .dep/%.d
$(BUILTIN_GTK): BUILTIN_GTK_%.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_GTK) -DBUILTIN -DMODULE_NAME=gtk -c -o $@ $<

# Gnome
$(PLUGIN_GNOME): %.o: .dep/%.d
$(PLUGIN_GNOME): %.o: %.c
	$(CC) $(CFLAGS) $(PCFLAGS) -DPLUGIN -DMODULE_NAME=gnome `gnome-config --cflags gtk gnomeui` -c -o $@ $<

$(PLUGIN_GNOME_SPECIFIC): %_gnome.o: .dep/%.d
$(PLUGIN_GNOME_SPECIFIC): %_gnome.o: %.c
	$(CC) $(CFLAGS) $(PCFLAGS) -DPLUGIN -DMODULE_NAME=gnome `gnome-config --cflags gtk gnomeui` -c -o $@ $<

$(BUILTIN_GNOME): BUILTIN_GNOME_%.o: .dep/%.d
$(BUILTIN_GNOME): BUILTIN_GNOME_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=gnome `gnome-config --cflags gtk gnomeui` -c -o $@ $<


#
# Real targets
#

../gtk.so: $(PLUGIN_GTK) $(PLUGIN_GTK_SPECIFIC)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GTK)

../gtk.a: $(BUILTIN_GTK)
	ar r $@ $^
	$(RANLIB) $@


../gnome.so: $(PLUGIN_GNOME) $(PLUGIN_GNOME_SPECIFIC)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GNOME)

../gnome.a: $(BUILTIN_GNOME)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/kde/Makefile ===
###############################################################################
# vlc (VideoLAN Client) kde module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#
 
MOCFILES =	kinterfacemain.moc.cpp \
		kvlcslider.moc.cpp \
		kdiskdialog.moc.cpp \
		knetdialog.moc.cpp \
		ktitlemenu.moc.cpp

PLUGIN_KDE =	kde.o \
		kdeinterface.o \
		kinterfacemain.o \
		kvlcslider.o \
		kdiskdialog.o \
		knetdialog.o \
		ktitlemenu.o

KDE_CFLAGS = -I/usr/include/kde -I/usr/include/qt
ifneq ($(KDEDIR),)
  KDE_CFLAGS += -I$(KDEDIR)/include -I$(QTDIR)/include
endif

PLUGIN_KDE_MOC = $(MOCFILES:%.cpp=%.o)

BUILTIN_KDE = $(PLUGIN_KDE:%.o=BUILTIN_%.o)
BUILTIN_KDE_MOC = $(MOCFILES:%.cpp=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_KDE) $(PLUGIN_KDE_MOC) $(BUILTIN_KDE) $(BUILTIN_KDE_MOC)

#
# Virtual targets
#

include ../../Makefile.modules

$(MOCFILES): %.moc.cpp: %.h
	$(MOC) $< -o $@

$(PLUGIN_KDE): %.o: .dep/%.dpp
$(PLUGIN_KDE): %.o: %.cpp
	$(CC) $(CFLAGS) $(PCFLAGS) $(KDE_CFLAGS) -DPLUGIN -DMODULE_NAME=kde -c -o $@ $<

$(PLUGIN_KDE_MOC): %.o: .dep/%.dpp
$(PLUGIN_KDE_MOC): %.o: %.cpp
	$(CC) $(CFLAGS) $(PCFLAGS) $(KDE_CFLAGS) -DPLUGIN -DMODULE_NAME=kde -c -o $@ $<

$(BUILTIN_KDE): BUILTIN_%.o: .dep/%.dpp
$(BUILTIN_KDE): BUILTIN_%.o: %.cpp
	$(CC) $(CFLAGS) -DBUILTIN $(KDE_CFLAGS) -DBUILTIN -DMODULE_NAME=kde -c -o $@ $<

$(BUILTIN_KDE_MOC): BUILTIN_%.o: .dep/%.dpp
$(BUILTIN_KDE_MOC): BUILTIN_%.o: %.cpp
	$(CC) $(CFLAGS) -DBUILTIN $(KDE_CFLAGS) -DBUILTIN -DMODULE_NAME=kde -c -o $@ $<

#
# Real targets
#

../kde.so: $(PLUGIN_KDE) $(PLUGIN_KDE_MOC)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_KDE)

../kde.a: $(BUILTIN_KDE) $(BUILTIN_KDE_MOC)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/macosx/Makefile ===
###############################################################################
# vlc (VideoLAN Client) macosx module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_MACOSX = macosx.o intf_macosx.o aout_macosx.o vout_macosx.o
BUILTIN_MACOSX = $(PLUGIN_MACOSX:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_MACOSX) $(BUILTIN_MACOSX)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_MACOSX): %.o: .dep/%.d
$(PLUGIN_MACOSX): %.o: %.c
	$(CC) $(CFLAGS) $(PCFLAGS) -fpascal-strings -c -o $@ $<

$(BUILTIN_MACOSX): BUILTIN_%.o: .dep/%.d
$(BUILTIN_MACOSX): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -fpascal-strings -c -o $@ $<

#
# Real targets
#

../macosx.so: $(PLUGIN_MACOSX)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_MACOSX)

../macosx.a: $(BUILTIN_MACOSX)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/text/Makefile ===
###############################################################################
# vlc (VideoLAN Client) text module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_NCURSES = ncurses.o intf_ncurses.o
PLUGIN_RC = rc.o intf_rc.o
BUILTIN_NCURSES = $(PLUGIN_NCURSES:%.o=BUILTIN_%.o)
BUILTIN_RC = $(PLUGIN_RC:%.o=BUILTIN_%.o)

PLUGIN_C = $(PLUGIN_NCURSES) $(PLUGIN_RC)
BUILTIN_C = $(BUILTIN_NCURSES) $(BUILTIN_RC)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../ncurses.so: $(PLUGIN_NCURSES)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_NCURSES)

../ncurses.a: $(BUILTIN_NCURSES)
	ar r $@ $^
	$(RANLIB) $@

../rc.so: $(PLUGIN_RC)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS)

../rc.a: $(BUILTIN_RC)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/yuv/Makefile ===
###############################################################################
# vlc (VideoLAN Client) yuv module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_YUV = yuv.o video_yuv.o transforms_yuv.o
PLUGIN_YUVMMX = yuvmmx.o video_yuvmmx.o transforms_yuvmmx.o

BUILTIN_YUV = $(PLUGIN_YUV:%.o=BUILTIN_%.o)
BUILTIN_YUVMMX = $(PLUGIN_YUVMMX:%.o=BUILTIN_%.o)

PLUGIN_C = $(PLUGIN_YUV) $(PLUGIN_YUVMMX)
BUILTIN_C = $(BUILTIN_YUV) $(BUILTIN_YUVMMX)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../yuv.so: $(PLUGIN_YUV)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_YUV)

../yuv.a: $(BUILTIN_YUV)
	ar r $@ $^
	$(RANLIB) $@

../yuvmmx.so: $(PLUGIN_YUVMMX)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../yuvmmx.a: $(BUILTIN_YUVMMX)
	ar r $@ $^
	$(RANLIB) $@

=== debian/changelog ===
vlc (0.2.83-1) unstable; urgency=low

  * New upstream release.
  * Activated subtitles in overlay mode (Closes: #97471).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 22 Aug 2001 15:18:01 +0200

vlc (0.2.82-1) unstable; urgency=low

  * New upstream release.
  * Fixed broken manpage symlinks (Closes: #99561).

 -- Samuel Hocevar <sam@zoy.org>  Tue,  7 Aug 2001 12:39:16 +0200

vlc (0.2.81-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 28 Jul 2001 04:13:57 +0200

vlc (0.2.80-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Tue,  5 Jun 2001 04:41:06 +0200

vlc (0.2.73-2) unstable; urgency=low

  * We now build without MMX in the main application (Closes: #96036).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  4 May 2001 07:13:04 +0200

vlc (0.2.73-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 28 Apr 2001 07:02:35 +0200

vlc (0.2.72-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon, 16 Apr 2001 14:33:53 +0200

vlc (0.2.71-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 13 Apr 2001 08:13:26 +0200

vlc (0.2.70-1) unstable; urgency=low

  * New upstream release.
  * Non-i386 package builds really fixed (Closes: #89285).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  7 Apr 2001 05:52:00 +0200

vlc (0.2.63-3) unstable; urgency=low

  * Added versioned conflicts/replaces to vlc-gtk (Closes: #88796).

 -- Samuel Hocevar <sam@zoy.org>  Wed,  7 Mar 2001 20:47:48 +0100

vlc (0.2.63-2) unstable; urgency=low

  * Glide shouldn't cause any non-x86 problems anymore (Closes: #88583).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Mar 2001 12:50:28 +0100

vlc (0.2.63-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Mar 2001 00:41:16 +0100

vlc (0.2.62-2) unstable; urgency=low

  * Removed a few lintian warnings.

 -- Samuel Hocevar <sam@zoy.org>  Sat,  3 Mar 2001 10:29:31 +0100

vlc (0.2.62-1) unstable; urgency=low

  * New release. Glide and GGI packages build again.
  * Updated vlc.1 manpage (Closes: #87478).
  * Fixed debian/control (Closes: #83707).
  * The framebuffer plugin doesn't hijack ^C anymore (Closes: #87500).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  2 Mar 2001 17:32:24 +0100

vlc (0.2.61-1) unstable; urgency=low

  * New release. The package build works again.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 16 Feb 2001 08:09:59 +0100

vlc (0.2.60-1) unstable; urgency=low

  * New release. The package build is most presumably FUBAR.

 -- Samuel Hocevar <sam@zoy.org>  Wed, 14 Feb 2001 08:33:46 +0100

vlc (0.2.50-1) unstable; urgency=low

  * Only build vlc-glide under x86 (Closes: #84046).
  * Switched PentiumPro optimization off (Closes: #83707).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Feb 2001 20:49:15 +0100

vlc (0.1.99i) unstable; urgency=low

  * Fixed the framerate display

 -- Samuel Hocevar <sam@zoy.org>  Tue, 24 Oct 2000 11:08:01 +0200

vlc (0.1.99h) unstable; urgency=low

  * added support for the SDL vout : the --display fullscreen allows
    fullscreen when possible. Disabled by default.
  * updated debian directory to build vlc-sdl.
  * removed CCFLAGS flags which were improperly used.
  * added hints for powerpc build.
  * fixed the input_file exit bug.
  * removed the frame statistics output.
  * removed a verbose message in intf_sdl.c.
  * added a few sanity checks in the audio mpeg and ac3 decoders.
  * temporarily got rid of vlc.channels.

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue, 22 Aug 2000 01:31:58 +0200

vlc (0.1.99g) unstable; urgency=low

  * removed all "*vlc" aliases except "gvlc" and "fbvlc". The other sucked.
  * new --synchro flag which lets you force which images are decoded.
  * fixed 32bpp MMX YUV, made the comments clearer, removed an emms.
  * now scaling is on by default, so that people won't tell that the vlc
    cannot do scaling :-)
  * fixed 8bpp YUV.
  * fixed the fscked up Bresenham algorithm in all YUV functions.
  * fixed a dumb bug in the Makefile that prevented inclusion of the
    -march=pentium directive. thanks Meuuh, blame sam.
  * separate Debian packages

 -- Samuel Hocevar <sam@via.ecp.fr>  Wed, 16 Aug 2000 01:07:14 +0200

vlc (0.1.99f) unstable; urgency=low

  * plugin detection now works
  * "gvlc", "fbvlc", "ggivlc" aliases now work
  * fixed functions that weren't properly inlined
  * removed bloat from the MMX YUV plugin
  * vlc.init becomes ~/.vlcrc
  * removed float operations in the video decoder, and all emms asm functions
  * borrowed linuxvideo's MMX motion compensation
  * fixed an undefined symbol in the MMX YUV plugin

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue,  8 Aug 2000 11:24:01 +0200

vlc (0.1.99e) unstable; urgency=low

  * new bitstream syntax and slight performance increase

 -- Samuel Hocevar <sam@via.ecp.fr>  Thu, 20 Jul 2000 15:14:06 +0200

vlc (0.1.99d) unstable; urgency=low

  * .deb is now more lintian-friendly
  * removed a few useless warning messages
  * new plugin API
  * plugin auto-detection
  * removed the default --enable-ppro option because it didn't work on K6-2
  * the framebuffer client now leaves the console in a working state
  * the dithered 8 bpp YUV transformation works again (blame bbp !)
  * the YUV transformations are now plugins as well
  * alternative symlinks like gvlc, fbvlc are now created at compile time
  * borrowed libmpeg2's GPLed MMX YUV transformations (16 and 32 bits)
  * fixed an endianness problem which occured on iMacs

 -- Samuel Hocevar <sam@via.ecp.fr>  Wed, 12 Jul 2000 01:24:40 +0200

vlc (0.1.99c) unstable; urgency=low

  * Caught Delete Window event in Gnome and X11 modes
  * Fixed manpage
  * GGI output now works
  * Fixed a segfault on exit for the Gnome plugin
  * Sound support almost works under BeOS

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue, 20 Jun 2000 03:01:12 +0200

vlc (0.1.99b) unstable; urgency=low

  * Added a ChangeLog file


=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), xlibs-dev, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev, libqt-dev, libasound2-dev
Standards-Version: 3.0.1

Package: vlc
Architecture: any
Depends: ${shlibs:Depends}, vlc-gui
Suggests: vlc-gnome
Description: a free MPEG and DVD player
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is vlc, the VideoLAN Client. It plays MPEG and MPEG2 files,
 DVDs, or MPEG streams from a network source.

Package: libdvdcss0.0.3
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdvdcss0.0.2
Description: a portable abstraction library for DVD decryption
 libdvdcss is a portable abstraction library for DVD decryption, it
 provides a simple API to access a DVD device as a block device.
 .
 This package contains the libdvdcss0 runtime library.

Package: libdvdcss0.0.3-dev
Architecture: any
Depends: libdvdcss0.0.3 (= ${Source-Version}), libc6-dev
Conflicts: libdvdcss0.0.2-dev
Description: development files for libdvdcss0
 libdvdcss is a portable abstraction library for DVD decryption, it
 provides a simple API to access a DVD device as a block device.
 .
 This package contains the header files and static library needed to
 compile applications that use libdvdcss0.

Package: vlc-gnome
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Gnome plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gnome interface to vlc, the VideoLAN Client.

Package: vlc-gtk
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Replaces: vlc-gnome (<= 0.2.63-2)
Conflicts: vlc-gnome (<= 0.2.63-2)
Provides: vlc-gui
Description: Gtk+ plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gtk+ interface to vlc, the VideoLAN Client.

Package: vlc-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: Esound plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Enlightened Sound Daemon to
 vlc, the VideoLAN Client.

Package: vlc-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: ALSA plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Advanced Linux Sound Architecture to
 vlc, the VideoLAN Client.

Package: vlc-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: SDL plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Simple DirectMedia Layer library to
 vlc, the VideoLAN Client.

Package: vlc-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: GGI plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a GGI plugin for vlc, the VideoLAN Client.

Package: vlc-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Description: Glide plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a Glide (3dfx) plugin for vlc, the VideoLAN Client.

Package: vlc-qt
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Qt plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Qt interface to vlc, the VideoLAN Client.
